%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.12

%global python_major python%{py_major}

%global pkgname pip

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        25.0.1
Release:        1
Summary:        A tool for installing and managing Python3 packages
License:        MIT and Python and ASL 2.0 and BSD and ISC and LGPLv2 and MPLv2.0 and (ASL 2.0 or BSD)
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
Source1:        pip-%{version}-py3-none-any.whl
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.5.1
Requires:       %{python_major} >= %{py_major}.9


%description
pip is a package management system used to install and manage software packages
written in Python. Many packages can be found in the Python Package Index
(PyPI). pip is a recursive acronym that can stand for either "Pip Installs
Packages" or "Pip Installs Python".

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.9
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
# Nothing to do

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} %{SOURCE1}/pip install . --root %{buildroot}


%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE.txt
%doc NEWS.rst README.rst
%{_bindir}/pip%{py_major}
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)
%{_bindir}/pip3

%changelog
* Tue Mar 25 2025 Ayappan P <ayappap2@in.ibm.com> - 25.0.1-1
- Update to version 25.0.1

* Tue Feb 06 2024 Harshith K A <harshith.k.a@ibm.com> - 23.3.1-1
- Update to fix for CVE-2023-5752

* Wed Aug 24 2022 Ayappan P <ayappap2@in.ibm.com> - 22.2.2-1
- pip for python3.9
